org.apache.lucene.util.hppc

## Class IntIntHashMap.BufferAllocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.util.hppc.IntIntHashMap.BufferAllocationException

All Implemented Interfaces:
  Serializable

Enclosing class:
  IntIntHashMap

    public static class IntIntHashMap.BufferAllocationException
    extends RuntimeException

BufferAllocationException forked from HPPC

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BufferAllocationException(String message)`
`BufferAllocationException(String message, Object... args)`
`BufferAllocationException(String message, Throwable t, Object... args)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BufferAllocationException

    public BufferAllocationException(String message)

#### BufferAllocationException

    public BufferAllocationException(String message,
                                     Object... args)

#### BufferAllocationException

    public BufferAllocationException(String message,
                                     Throwable t,
                                     Object... args)